## gpxview 0.9.4

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.

APP = gpxview
VERSION = $${VERSION_PREFIX}0.9.4$${VERSION_SUFFIX}

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean
	rm -f Makefile src/Makefile data/Makefile config.log config.status
	rm -fr autom4te.cache

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

tarball: distclean
	sh mktarball.sh "$(VERSION)"

FORCE:

=== data/Makefile ===
APP = gpxview
MAEMO_VERSION_MAJOR = 5
prefix = /usr
datarootdir = /opt
datadir = /opt

LANGS = en_GB de_DE fi_FI ru_RU
LANGS_HELP = en_GB de_DE fi_FI

ICON_SIZES = 12x12 16x16 24x24 32x32 48x48 64x64 45x12 90x24

all:

clean:

install-debian:
#	install -m 644 help/gpxview.html $(DESTDIR)$(prefix)/share/$(APP)

install-maemo:
	# the path to /share is hardcoded since datapath points to /opt on fremantle
	install -d $(DESTDIR)$(prefix)/share/applications/hildon
	install $(APP).desktop $(DESTDIR)$(prefix)/share/applications/hildon
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 icons/$${s}x$${s}/$(APP).png $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
	install -m 644 icons/64x64/$(APP).png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
	if [ $(MAEMO_VERSION_MAJOR) -lt 5 ]; then \
		echo "Installing hildon help files for maemo <= 4"; \
		for LANG in $(LANGS_HELP); do \
			install -d $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
			install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
		done;\
	else \
	  echo "Installing backup configuration for maemo >= 5"; \
	  install -d $(DESTDIR)/etc/osso-backup/applications ;\
	  install $(APP).conf $(DESTDIR)/etc/osso-backup/applications ;\
	fi

install: install-maemo
	install -d $(DESTDIR)$(datadir)/$(APP)
	install -m 644 COPYING welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP);
	for SIZE in $(ICON_SIZES); do \
		install -d $(DESTDIR)$(datadir)/$(APP)/$${SIZE} ;\
		install -m 644 icons/$${SIZE}/*.png $(DESTDIR)$(datadir)/$(APP)/$${SIZE};\
	done
	for LANG in $(LANGS); do \
		install -d $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES ;\
		msgfmt ../po/$${LANG}.po -o $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES/$(APP).mo ;\
	done

=== src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
#

APP = gpxview
prefix = /usr
datarootdir = /opt
datadir = /opt
EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o mm_poi.o dbus.o
VERSION = $${VERSION_PREFIX}0.9.4$${VERSION_SUFFIX}
MAEMO_VERSION_MAJOR = 5

bindir = ${exec_prefix}/bin

OBJS = main.o gpx.o goto.o gps.o misc.o gconf.o html.o icons.o cache.o \
	geomath.o settings.o custom_size_renderer.o custom_rating_renderer.o \
	notes.o custom_type_renderer.o unzip.o ioapi.o precpos.o astro.o \
	portrait.o garmin_export.o geotext.o gcvote.o geotoad.o about.o \
	$(EXTRA_OBJS) 

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update5\" -DMAEMO_VERSION_MAJOR=5 -DESPEAK -DENABLE_MAEMO_MAPPER
LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lespeak -lz

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	if [ "$(MAEMO_VERSION_MAJOR)" == "5" ]; then \
		echo "Optifying binary"; \
		install -d $(DESTDIR)$(datadir)/$(APP); \
		install $(APP) $(DESTDIR)$(datadir)/$(APP)/$(APP).bin; \
		ln -s $(datadir)/$(APP)/$(APP).bin $(DESTDIR)$(prefix)$(bindir)/$(APP); \
	else \
		echo "Not Optifying binary"; \
		install $(APP) $(DESTDIR)$(prefix)$(bindir); \
	fi

clean:
	rm -f gpxview *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

about.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
about.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
about.o: precpos.h garmin_export.h geotoad.h about.h misc.h
bct.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
bct.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
bct.o: precpos.h garmin_export.h geotoad.h about.h misc.h
cache.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
cache.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
cache.o: precpos.h garmin_export.h geotoad.h about.h misc.h
converter.o: osm-gps-map-types.h osm-gps-map.h config.h converter.h
custom_rating_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_rating_renderer.o: cache.h gcvote.h gconf.h html.h icons.h geomath.h
custom_rating_renderer.o: geotext.h notes.h help.h mm_poi.h precpos.h
custom_rating_renderer.o: garmin_export.h geotoad.h about.h misc.h
custom_rating_renderer.o: custom_rating_renderer.h
custom_size_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_size_renderer.o: cache.h gcvote.h gconf.h html.h icons.h geomath.h
custom_size_renderer.o: geotext.h notes.h help.h mm_poi.h precpos.h
custom_size_renderer.o: garmin_export.h geotoad.h about.h misc.h
custom_size_renderer.o: custom_size_renderer.h
custom_type_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_type_renderer.o: cache.h gcvote.h gconf.h html.h icons.h geomath.h
custom_type_renderer.o: geotext.h notes.h help.h mm_poi.h precpos.h
custom_type_renderer.o: garmin_export.h geotoad.h about.h misc.h
custom_type_renderer.o: custom_type_renderer.h
dbus.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
dbus.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
dbus.o: precpos.h garmin_export.h geotoad.h about.h misc.h dbus.h
garmin_export.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h
garmin_export.o: gcvote.h gconf.h html.h icons.h geomath.h geotext.h notes.h
garmin_export.o: help.h mm_poi.h precpos.h garmin_export.h geotoad.h about.h
garmin_export.o: misc.h
gconf.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
gconf.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
gconf.o: precpos.h garmin_export.h geotoad.h about.h misc.h
gcvote.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
gcvote.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
gcvote.o: precpos.h garmin_export.h geotoad.h about.h misc.h
geomath.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
geomath.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geomath.o: precpos.h garmin_export.h geotoad.h about.h misc.h
geotext.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
geotext.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geotext.o: precpos.h garmin_export.h geotoad.h about.h misc.h
geotoad.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
geotoad.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geotoad.o: precpos.h garmin_export.h geotoad.h about.h misc.h
goto.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
goto.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
goto.o: precpos.h garmin_export.h geotoad.h about.h misc.h
gps.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
gps.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
gps.o: precpos.h garmin_export.h geotoad.h about.h misc.h
gpx.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
gpx.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
gpx.o: precpos.h garmin_export.h geotoad.h about.h misc.h unzip.h ioapi.h
html.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
html.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
html.o: precpos.h garmin_export.h geotoad.h about.h misc.h
icons.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
icons.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
icons.o: precpos.h garmin_export.h geotoad.h about.h misc.h
ioapi.o: ioapi.h
main.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
main.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
main.o: precpos.h garmin_export.h geotoad.h about.h misc.h
main.o: custom_size_renderer.h custom_rating_renderer.h
main.o: custom_type_renderer.h
map-tool.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
map-tool.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h
map-tool.o: mm_poi.h precpos.h garmin_export.h geotoad.h about.h misc.h
map-tool.o: converter.h
misc.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
misc.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
misc.o: precpos.h garmin_export.h geotoad.h about.h misc.h
mm_poi.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
mm_poi.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
mm_poi.o: precpos.h garmin_export.h geotoad.h about.h misc.h
notes.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
notes.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
notes.o: precpos.h garmin_export.h geotoad.h about.h misc.h
osm-gps-map.o: config.h converter.h osm-gps-map-types.h osm-gps-map.h
osm-gps-map-osd-classic.o: config.h osm-gps-map.h converter.h
osm-gps-map-osd-classic.o: osm-gps-map-osd-classic.h
precpos.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
precpos.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
precpos.o: precpos.h garmin_export.h geotoad.h about.h misc.h
settings.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gcvote.h
settings.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h
settings.o: mm_poi.h precpos.h garmin_export.h geotoad.h about.h misc.h
unzip.o: unzip.h ioapi.h crypt.h

=== debian/changelog ===
gpxview (0.9.4) unstable; urgency=low

  * Updated map and OSD from Maep 1.3.6
  * Updated GPS driver from Maep 1.3.6
  * Disconnect from GPS when in background to save energy
  * Compass rendering using cairo
  * Sun azimuth indicator in compass view
  * GPX 1.0.1 attribute support
  * August 2010 attribute icons
  * Forward function key events from map window to widget
  * All icons SVG
  * Enabled cache description hard button zooming on n900

 -- Till Harbaum <till@harbaum.org>  Fri, 21 May 2010 20:45:28 +0200

=== debian/control ===
Source: gpxview
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libcurl4-openssl-dev | libcurl3-openssl-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev, libespeak-dev|devscripts
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Depends: ${shlibs:Depends}
Description: Complete offline geocaching solution
 The GPXView application reads and displays geocaching.com GPX files and serves as a geocaching navigation tool.
 .
 Geocaching is a worldwide game of hiding and seeking treasure. A geocacher can place a geocache in the world, pinpoint its location using GPS technology and then share the geocache's location online via sites like http://www.geocaching.com. 
 .
 GPXView lets you import so-called pocket queries (detailed geocaching descriptions) from those sites and allows you to view the contained information in a convenient way. Furthermore, GPXView can guide you to geocache locations using your devices built-in GPS. It also features an embedded terrain map showing you the exact location of the geocache to find the best way to approach it. Once you've found a geocache GPXView assists you in reporting your find back to the internet.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
XB-Maemo-Display-Name: GPXView
# Maemo icon 48x48/gpxview.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAVYSURBVGiB3ZptbFNVGMd/97brRjqQIYg4
 wuRFN8YmsKAhApIxjE4TYwJRo8m0WANGjSSwRKcfICJf9kWTYkLcRgYJgQQC
 gjoSN0QZC4lANjoIwl66gRu6hTH3Rrvee/xw27vdtXTd7aCb/6TJufc89+nv
 f/qcc89tKwkhAKxAIbARyAJsTEz5gHrgCFAM+CUhhBWoAl6IJ5kJ/Q7kyWgj
 P9ngQWMulIQQF4EcAPrnjF/6hG2QsB2A8hs/UN5wYtxSn84vDTYvyWg1P1mV
 JTNxJ2w0ssnxJohV1ni9sb/XS3tlA/4+X2ingL7WLuxpKcx/Z3nEPHEzcHln
 Jd1X/o4Y01HtwZJkZd6G7PvGxK2EhCKiiuvzdEXsj9snkFWUy+3TjaiDinZC
 CDrPt9LbdMcQlzR7asQ8cTOQONNO2hvPACCE4M9vqkPgAZAi54n7KhSEb//l
 hn4uecGMqK9/IJ/AwICg9mILly7vAeD2rD7URAXZZjHEhYOf8+JTJM6yh/80
 wmjcDAgBe0v72Vs6QP3VQfx+l6FfssjY06bzxCsZpOZnIAgPn751NZ6DtVG/
 77gYaL2psGlLN1VnwqzpAQlFpbfpDtddNXRUe0iYmsg/Z5v1/iC8JI1S9CMU
 s4GfTnl5+727/NsztCzKMmSkz2bFsy8BUFnzK+2Ntwg8e9BV22bIMRLeah/a
 3cgJxrIbVwOtNxUDvNUKRYXJFG61k5yy3bAbLXMfpfWIG8+hOq3eAnpszfyQ
 kZ+zfhEd5zwIRfD4uoUPxoAQsGlLtw6/YL6Fw/unsyInIWy8nGTF29lngAcY
 7PEijVgrrcmJ5BS/GhWH6WV0b2m/XvNWKxHhhRo6YQmMeFdtG39VXDOLEYuB
 Ab1dVJh8X3hVVSn7whWy2jz51lL9uO3nh2xgYEBQf3VQSyBD4VZ72DhVVXE6
 nZw9WqWfC07YeRuz9brva7mL6lPMoIyYAwnborqo9mKLvs5npM/WJuxIeFbi
 dDrZt2+ffm7Nhjw2ff0xkqyBNyw8Q1vDTYSissabyaLM9LE7ECbkcrkEIABR
 UFAQ0q8oinA4HHoMIBwOh1AUxRBXUFCg97tcLjMoYtz3QsGyGT7yDoeDkpIS
 ZHn8t16GEtrhvh7VRbcemam3K87V6NcJVeXEji+pPX5U73c4HJTs+gTZfSAk
 z4XqSr2dM+021JVHR7303fAGdrpvhMSGld8GFgsoCh1Njez8ww2JifD9t/Db
 EJQ+8u4DULffkKL3nsK15nYNwiKxzFsNdTWxGYhaNhvMTYOWJu3G9OMRuNNp
 gF/2+oaIZVNc0YoauKllpdqZYvL7BfNFmZc/1D5+2ADP2vW8tmPXfeEvNPew
 +6RHP96cm2oaw7yBdS/DksDNaPj2YO16+OBTpAjwb+6pxx94Js7LTInJQGy7
 0akjnlclCWbMBK83JLT3nkJxRSu7T3p0+GlTrJQ5FzPGHbRB5gwIoU3Y89Wh
 548dguOH+W7BQppXPQ9oq8215na95kGDP/jhEuY9mmQaHswYCMIPr/mVq6Gn
 B67U6TEdjQ3sb2wImyIvM4Uy5+KY4WGsBsLBB2oegNOnoKoCbrWAYtzbWC0S
 Wal2Nuemsjk3NaayMeSNOjISfJAmL197+Xy8b/WxvLsT0G5Sy7zVppfKSIrO
 QDTww2WzMTd7CR9lP60d15VHf5Mao0YfkrHCP2RFNjDB4WE0A1cvT2h4GM2A
 qg61JyA8jDaJs5fDZ19Bfx88t2rCwUM0q1B25F9I4q24fzsdq2S0n+8nq3wy
 2n8PJqvqJSHE58DueJOYVNH/4s8efiAPKAIuMbHnhA+NsQiN2f8f8Hm2TvAp
 xgUAAAAASUVORK5CYII=

## gpxview 0.9.5

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = gpxview
-VERSION = $${VERSION_PREFIX}0.9.4$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.9.5$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== data/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 APP = gpxview
-MAEMO_VERSION_MAJOR = 5
+MAEMO_VERSION_MAJOR = 
 prefix = /usr
-datarootdir = /opt
-datadir = /opt
+datarootdir = ${prefix}/share
+datadir = ${prefix}/share
 
 LANGS = en_GB de_DE fi_FI ru_RU
 LANGS_HELP = en_GB de_DE fi_FI
@@ -38,9 +38,9 @@
 	  install $(APP).conf $(DESTDIR)/etc/osso-backup/applications ;\
 	fi
 
-install: install-maemo
+install: install-debian
 	install -d $(DESTDIR)$(datadir)/$(APP)
-	install -m 644 COPYING welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP);
+	install -m 644 COPYING welcome.gpx $(DESTDIR)$(datadir)/$(APP);
 	for SIZE in $(ICON_SIZES); do \
 		install -d $(DESTDIR)$(datadir)/$(APP)/$${SIZE} ;\
 		install -m 644 icons/$${SIZE}/*.png $(DESTDIR)$(datadir)/$(APP)/$${SIZE};\

=== src/Makefile ===
--- 
+++ 
@@ -19,11 +19,11 @@
 
 APP = gpxview
 prefix = /usr
-datarootdir = /opt
-datadir = /opt
-EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o mm_poi.o dbus.o
-VERSION = $${VERSION_PREFIX}0.9.4$${VERSION_SUFFIX}
-MAEMO_VERSION_MAJOR = 5
+datarootdir = ${prefix}/share
+datadir = ${prefix}/share
+EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o bct.o
+VERSION = $${VERSION_PREFIX}0.9.5$${VERSION_SUFFIX}
+MAEMO_VERSION_MAJOR = 
 
 bindir = ${exec_prefix}/bin
 
@@ -34,8 +34,8 @@
 	$(EXTRA_OBJS) 
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update5\" -DMAEMO_VERSION_MAJOR=5 -DESPEAK -DENABLE_MAEMO_MAPPER
-LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lespeak -lz
+CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -DORBIT2=1 -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -pthread -D_REENTRANT -DORBIT2=1 -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/enchant -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DBCT -pthread -D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12   -DORBIT2=1 -pthread -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/bonobo-activation-2.0   -DENABLE_BROWSER_INTERFACE -DESPEAK   -DUSE_LIBGPS
+LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lxml2   -lcurl   -pthread -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -pthread -lgtkhtml-3.14 -lgtk-x11-2.0 -lenchant -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgthread-2.0 -lgmodule-2.0 -lrt -lglib-2.0   -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -pthread -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lgmodule-2.0 -lORBit-2 -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lespeak -lgps   -lz
 
 all: $(APP)

=== debian/changelog ===
gpxview (0.9.5) unstable; urgency=low

  * Fixed problems when switching map source
  * Ability to load zip files from folders (fixes [#6010] GPX 1.0.1)

 -- Till Harbaum <till@harbaum.org>  Wed, 25 Aug 2010 18:19:07 +0200

## gpxview 0.9.6

=== debian/changelog ===
gpxview (0.9.6) unstable; urgency=low

  * Fixed balloon click
  * Fixed [#6018] Found and logged caches: Notes are not displayed ...
  * Adjusted date in copyright

 -- Till Harbaum <till@harbaum.org>  Fri, 27 Aug 2010 18:33:44 +0200
